import { createElement } from 'react';
import ReactDOM from 'react-dom';
import mock from './mock.json';

function render({
  element,
  props,
}) {
  // 获取配置的属性信息
  const themeColor = props.themeColor || mock.themeColor;
  const title = props.title || mock.title;

  // 写组件逻辑
  const app = createElement('h1', { style: { background: themeColor } }, title);

  ReactDOM.render(app, element);
}

export default render;
