import React, { useEffect, useRef } from 'react';
import ReactDOM from 'react-dom';
import render from './components/index';

function App() {
  const reactRef = useRef();
  
  useEffect(() => {
    render({
      element: reactRef.current,
      props: { title: 'I am react component!' },
    });
  }, []);

  return <div ref={reactRef}></div>
}

ReactDOM.render(
  <React.StrictMode>
    <App />
  </React.StrictMode>,
  document.getElementById('root')
);